ThisBuild / scalaVersion     := "2.13.1"
ThisBuild / version          := "1.0.0"
ThisBuild / organization     := "ch.epfl.lara"
ThisBuild / organizationName := "LARA"

lazy val root = (project in file("."))
  .enablePlugins(BuildInfoPlugin)
  .settings(
    name := "labs06",
    libraryDependencies ++= Seq(
      "com.github.scopt" %% "scopt"     % "4.0.0-RC2",
      "org.scalactic"    %% "scalactic" % "3.1.0-RC3",
      "org.scalatest"    %% "scalatest" % "3.1.0-RC3" % "test",
    ),
    scalacOptions ++= Seq(
      "-encoding", "utf-8", // Specify character encoding used by source files.
      "-deprecation",       // Emit warning and location for usages of deprecated APIs.
      "-explaintypes",      // Explain type errors in more detail.
      "-feature",           // Emit warning and location for usages of features that should be imported explicitly.
      "-unchecked",         // Enable additional warnings where generated code depends on assumptions.
    )
  )
