var acc: BigInt
var i: BigInt

def set_sum_of_1_to_n_in_acc(n: BigInt) {
  i = 0
  acc = 0

  loop(n)

} ensuring(n >= 0 ==> acc == n * (n + 1) / 2)

def loop(n: BigInt) {
  if (i < n) {
    i = i + 1
    acc = acc + i
    loop(n)
  }
} ensuring(
  old(acc) == old(i) * (old(i) + 1) / 2 && old(i) <= n ==>
  acc == i * (i + 1) / 2 && i == n
)
