import java.io.File

object TestUtils {
  def files(dir: String, pred: String => Boolean = _ => true): List[File] = {
    val d = new File(dir)
    Option(d.listFiles).getOrElse(Array.empty).toList.filter(f => f.isFile && pred(f.getPath))
  }
}
