import TestUtils._
import org.scalatest.funsuite.AnyFunSuite

class TypeCheckingFileSuite extends AnyFunSuite {
  for (f <- files("examples/valid", _.endsWith("scala"))) {
    test(s"Valid benchmark verifies: $f") {
      assert(Verification.verifyFile(f))
    }
  }

  for (f <- files("examples/invalid", _.endsWith("scala"))) {
    test(s"Invalid benchmark fails to verify: $f") {
      assert(!Verification.verifyFile(f))
    }
  }
}
